POST /api/v3/report/quick

Generates a "quick report" in the specified export format (or in its preferred export format if not specified) as identified by the provided report code and applying ONLY the filters supplied.

RunQuickReportV3 Permissions: Reports (Run)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

QuickReport
Property Description Type
fileName File name that the report file will receive string
filters The filters to apply to this execution of the report. They will not be saved, and stored filters will not be honored. QuickFilter[]
QuickFilter properties
Property Description Type
caption Required string
operator Required string
value Required string
format Desired format for the resulting report. Available options are PDF, Excel, Excel formatted, Excel data only, Word, and CSV. Support for each format varies by report. string
reportCode Report code of the report to execute string
Example Request Body application/json
{  "fileName": "string",  "filters": [
    {    "caption": "string",    "operator": "string",    "value": "string"
  }
  ],  "format": "string",  "reportCode": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.
204 No Content The request succeeded. No content is returned in the response body.